{
  "name": "dex-tx",
  "packageManager": "yarn@4.7.0",
  "private": true,
  "workspaces": [
    "packages/*"
  ],
  "scripts": {
    "build": "yarn build:cm && yarn build:non-cm",
    "build:production": "yarn build:cm && yarn workspace dapp-ui build:production",
    "build:cm": "yarn workspaces foreach -Ap --include 'packages/lib' --include 'packages/cwait' --include 'packages/*.cm' run build",
    "build:non-cm": "yarn workspaces foreach -Ap --include 'packages/*' --exclude 'packages/*.cm' --exclude 'packages/lib' --exclude 'packages/cwait' run build",
    "create-index": "cweb-tool create-index -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "publish-index": "cweb-tool publish-index -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "deploy-contracts": "yarn publish-actions",
    "call-contracts": "yarn call-contracts:prepare && yarn call-contracts:invoke",
    "call-contracts:prepare": "yarn workspaces foreach --all run prepare-for-package && yarn node ./.cweb-config/create-calls.mjs",
    "call-contracts:invoke": "cweb-tool call .cweb-config/calls.yaml -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "execute-actions": "echo \"*** THIS MIGHT TAKE A LONG TIME ***\"; sleep 1; cweb-tool execute-actions -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "filter-actions": "cweb-tool filter-actions -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "gather-actions": "cweb-tool gather-actions -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "publish-actions": "cweb-tool publish -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "clean": "yarn clean:me && yarn workspaces foreach -Ap run clean",
    "clean:me": "rm -rf .dapp-ecosystem-lock*.yaml .unfiltered-actions*.yaml .actions*.yaml",
    "test": "yarn workspaces foreach -Ap run test",
    "test:prepare": "yarn simulate && yarn workspaces foreach -Ap run test:prepare",
    "simulate": "cweb-tool simulate .dapp-ecosystem-lock-test.yaml prepared-state.json -c ./.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "setup-ide:vscode": "yarn dlx @yarnpkg/sdks vscode",
    "install:with-node-modules": "yarn config set nodeLinker node-modules && yarn install",
    "preinstall": "./scripts/preinstall.env.sh",
    "dev": "yarn workspaces foreach -Apiv run dev",
    "prepare": "husky",
    "lint": "yarn workspaces foreach -Ap run lint",
    "typecheck": "yarn workspaces foreach -Ap run typecheck",
    "update-env": "node scripts/update-ui-env.js",
    "g:tsc": "cd $INIT_CWD && tsc",
    "g:cweb-tool": "cd $INIT_CWD && cweb-tool",
    "g:lint": "cd $INIT_CWD && eslint",
    "g:vitest": "cd $INIT_CWD && vitest",
    "g:lint-staged": "cd $INIT_CWD && lint-staged",
    "publish:lib": "yarn workspaces foreach -Ap --include 'packages/cwap-cm-*' run publish:lib"
  },
  "resolutions": {
    "@coinweb/cweb-tool": "2.0.22",
    "@coinweb/wallet-lib": "0.1.116",
    "@coinweb/self-register": "0.1.3",
    "@coinweb/claims-client": "0.1.6-debug",
    "@coinweb/contract-kit": "0.2.6",
    "@coinweb/testing-sdk": "0.0.9-remote",
    "@coinweb/minimal-sdk": "1.2.21"
  },
  "devDependencies": {
    "@coinweb/cweb-tool": "2.0.22",
    "@coinweb/minimal-sdk": "1.2.21",
    "@coinweb/testing-sdk": "0.0.10-mutex",
    "@eslint/js": "^9.17.0",
    "@types/node": "^22.10.5",
    "envsub": "^4.1.0",
    "eslint": "^9.17.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-prettier": "^5.2.1",
    "eslint-plugin-react": "^7.37.3",
    "husky": "^9.1.7",
    "js-yaml": "^4.1.0",
    "lint-staged": "^15.3.0",
    "prettier": "^3.4.2",
    "prettier-plugin-tailwindcss": "^0.6.9",
    "typescript": "^5.7.3",
    "typescript-eslint": "^8.19.1",
    "vitest": "^2.1.8",
    "yaml": "^2.7.0"
  },
  "version": "0.0.0",
  "description": "",
  "author": "CWAP team",
  "license": "MIT"
}
